javax.swing.plaf

## Class BorderUIResource.CompoundBorderUIResource

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.CompoundBorder
    - - javax.swing.plaf.BorderUIResource.CompoundBorderUIResource

All Implemented Interfaces:
  Serializable, Border, UIResource

Enclosing class:
  BorderUIResource

    public static class BorderUIResource.CompoundBorderUIResource
    extends CompoundBorder
    implements UIResource

### Field Summary

### Fields inherited from class javax.swing.border.CompoundBorder

`insideBorder, outsideBorder`

### Constructor Summary

Constructors
Constructor and Description
`BorderUIResource.CompoundBorderUIResource(Border outsideBorder, Border insideBorder)`

### Method Summary

### Methods inherited from class javax.swing.border.CompoundBorder

`getBorderInsets, getBorderInsets, getInsideBorder, getOutsideBorder, isBorderOpaque, paintBorder`

### Methods inherited from class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BorderUIResource.CompoundBorderUIResource

    public BorderUIResource.CompoundBorderUIResource(Border outsideBorder,
                                             Border insideBorder)

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.